Subject: Re: [Bugme-new] [Bug 11144] New: dhcp doesn't work with iwl4965

From: François Valenduc<[email-masked]>
Date: Wed, 23 Jul 2008 16:57:35 +0200

Patrick McHardy a écrit :
> Patrick McHardy wrote:
>> François Valenduc wrote:
>>> Patrick McHardy a écrit :
>>>> Interesting. Could you post straces of both commands please?
>>>>
>>> I also send the output of strace for dhcpd under kernel 2.6.26 
>>> (where it works correctly).
>>
>> Thanks, I couldn't spot anything in these traces. I'll try to
>> reproduce this with iwl3945.
>
>
> Well, no luck, the current -git kernel doesn't boot on my notebook
> and I don't have time for a bisection currently. Could someone
> else try to verify/debug this?
>
>
I did the bisection again, this time on the whole tree and the first bad 
commit is again the one I mentioned previously:

175f9c1bba9b825d22b142d183c9e175488b260c is first bad commit
commit 175f9c1bba9b825d22b142d183c9e175488b260c
Author: Jussi Kivilinna <[email-masked]>
Date:   Sun Jul 20 00:08:47 2008 -0700

    net_sched: Add size table for qdiscs

    Add size table functions for qdiscs and calculate packet size in
    qdisc_enqueue().

    Based on patch by Patrick McHardy
     http://marc.info/?l=linux-netdev&m=115201979221729&w=2

This time, I didn't encounter kernels which didn't compile. So, I didn't 
use git-reset or git-bisect skip.

François